Package org.apache.ignite.internal.processors.odbc

## Class SqlInputStreamWrapper

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlInputStreamWrapper

    public class SqlInputStreamWrapper
    extends Object

InputStream wrapper used to pass it as argument to PreparedStatement.

### Constructor Summary

Constructors
`SqlInputStreamWrapper​(InputStream stream)`
`SqlInputStreamWrapper​(InputStream stream, int len)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `inputStream()` Returns input stream for the enclosed data.
`int` `length()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlInputStreamWrapper

    public SqlInputStreamWrapper​(InputStream stream,
                                 int len)

Parameters:
  `stream` - Input stream.
  `len` - Length of data in the input stream. -1 if unknown.

#### SqlInputStreamWrapper

    public SqlInputStreamWrapper​(InputStream stream)

Parameters:
  `stream` - Input stream.

### Method Detail

#### inputStream

    public InputStream inputStream()

Returns input stream for the enclosed data.

Returns:
  Input stream.

#### length

    public int length()

Returns:
  Length of data in the input stream.